/* Global styles */
.title{
  font-size: large;
}

body {
  margin: 0;
  height: 100%;
  background-color: #f3f4f6;
  font-family: Arial, sans-serif;
}

.container {
  display: flex;
  /* min-height: 100vh; */
  justify-content: center;
  align-items: center;
  padding: 3rem 1.5rem;
  z-index: 1;
  position: relative;
}

.card {
  background-color: white;
  padding: 2rem;
  border-radius: 0.5rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
  max-width: 24rem;
  width: 100%;
  z-index: 1;
  position: relative;
}

.logo h2 {
  margin-top: 1.5rem;
  font-size: 1.5rem;
  font-weight: bold;
  color: #111827;
  line-height: 2.25rem;
  letter-spacing: -0.01em;
}

.logo-wrapper {
  text-align: center;
  margin-top: 20px;
  z-index: 1;
  position: relative;
}

.logo {
  text-align: center;
  font-size: large;
}

.logo-img {
  width: 250px;
  height: auto;
}

.form-group {
  display: flex;
  flex-direction: column;
  position: relative;
  margin-bottom: 1rem;
}

.form-group label {
  font-size: 1.1rem;
  font-weight: 600;
  color: #111827;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.form {
  display: flex;
  flex-direction: column;
  margin-top: 2.5rem;
}

.forgot-link {
  font-size: 0.875rem;
  font-weight: 600;
  color: #4f46e5;
  text-decoration: none;
  margin-left: auto;
}

.forgot-link:hover {
  color: #6366f1;
}

input[type="email"],
input[type="password"] {
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  color: #111827;
  background-color: white;
  border-radius: 0.375rem;
  outline: none;
  margin-bottom: 1rem;
}

.error-text {
  color: #f44336;
  font-size: 0.9rem;
  /* margin-top: 0.25rem; */
  display: block;
  position: absolute;
  right: 0;                  
  bottom: 0;
  white-space: nowrap;
}

.input-success {
  border: 2.25px solid #16d41f;
}

.input-error{
  border: 2.25px solid #f00505;
}

input[type="email"]:hover,
input[type="password"]:hover {
  border-color: #65A30D;
}

.submit-btn {
  display: flex;
  justify-content: center;
  width: 100%;
  background-color: #0f172a;
  color: white;
  padding: 0.375rem 0.75rem;
  font-size: 0.875rem;
  font-weight: 600;
  border: none;
  border-radius: 0.375rem;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
}

.submit-btn:hover {
  background-color: #6366f1;
}

.divider {
  display: flex;
  align-items: center;
  text-align: center;
  margin: 0.25rem 0;
    margin-bottom: 1rem;
}

.divider .line {
  flex: 1;
  height: 1px;
  background-color: #d1d5db;
}

.divider span {
  padding: 0 0.75rem;
  font-size: 0.875rem;
  color: #6b7280;
}

.google-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 93%;
  background-color: white;
  border: 1px solid #d1d5db;
  color: #111827;
  padding: 0.375rem 0.75rem;
  font-size: 0.875rem;
  font-weight: 600;
  border-radius: 0.375rem;
  text-decoration: none;
  transition: background-color 0.2s ease-in-out;
}

.google-btn img {
  height: 20px;
  width: 20px;
  margin-right: 0.5rem;
}

.google-btn:hover {
  background-color: #f9fafb;
}

.footer-text {
  margin-top: 2rem;
  text-align: center;
  font-size: 0.875rem;
  color: #6b7280;
}

.footer-text a {
  font-weight: 600;
  color: #4f46e5;
  text-decoration: none;
}

.footer-text a:hover {
  color: #6366f1;
}

#particles-js {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #0f1c2f;
  z-index: -1;
  top: 0;
  left: 0;
}

.alert {
  margin: 20px auto;
  width: 80%;
  padding: 15px;
  border-radius: 5px;
  text-align: center;
  font-weight: bold;
}

.alert-success {
  background-color: #d4edda;
  color: #155724;
}

.alert-warning {
  background-color: #fff3cd;
  color: #856404;
}
